Package org.python.modules._locale

# Class CEmulationLocale

java.lang.Object
org.python.modules._locale.CEmulationLocale

All Implemented Interfaces:
  `DateSymbolLocale`, `PyLocale`

public class CEmulationLocale extends Object implements PyLocale
Emulates the Python (ie POSIX) 'C' locale. The C emulation locale uses only ANSI characters in non-unicode strings, in keeping with it being the locale of last resort and maximum compatibility. Used by the _locale module. Callers would not usually interact with this class directly unless working with _locale internals.

Since:
  Jython 2.7.2

## Constructor Summary

Constructors
Constructor
Description
`CEmulationLocale()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAmPmStrings()`
`PyString`
`getLocaleString()`
`String[]`
`getMonths()`
`String[]`
`getShortMonths()`
`String[]`
`getShortWeekdays()`
`PyString`
`getUnderlyingLocale()`
`String[]`
`getWeekdays()`
`PyDictionary`
`localeconv()`
`int`
`strcoll(PyString str1, PyString str2)`
`PyString`
`strxfrm(PyString str1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CEmulationLocale

public CEmulationLocale()

## Method Details

### localeconv

public PyDictionary localeconv()

Specified by:
  `localeconv` in interface `PyLocale`

### getLocaleString

public PyString getLocaleString()

Specified by:
  `getLocaleString` in interface `PyLocale`

### getUnderlyingLocale

public PyString getUnderlyingLocale()

Specified by:
  `getUnderlyingLocale` in interface `PyLocale`

### strcoll

public int strcoll(PyString str1, PyString str2)

Specified by:
  `strcoll` in interface `PyLocale`

### strxfrm

public PyString strxfrm(PyString str1)

Specified by:
  `strxfrm` in interface `PyLocale`

### getShortWeekdays

public String[] getShortWeekdays()

Specified by:
  `getShortWeekdays` in interface `DateSymbolLocale`

### getWeekdays

public String[] getWeekdays()

Specified by:
  `getWeekdays` in interface `DateSymbolLocale`

### getShortMonths

public String[] getShortMonths()

Specified by:
  `getShortMonths` in interface `DateSymbolLocale`

### getMonths

public String[] getMonths()

Specified by:
  `getMonths` in interface `DateSymbolLocale`

### getAmPmStrings

public String[] getAmPmStrings()

Specified by:
  `getAmPmStrings` in interface `DateSymbolLocale`